package chatprogramm;

import chatprogramm.controller.ConnectController;
import chatprogramm.controller.ReceiveAdapterController;
import chatprogramm.controller.SendController;
import chatprogramm.model.Transmitter;
import chatprogramm.view.ChatView;

/**
 *
 * @author Marian
 */
public class Start {

    public Start()
    {
        ChatView view = new ChatView();
        Transmitter model = new Transmitter();
        
        ConnectController controllerConnect = new ConnectController(model, view);
        controllerConnect.registerEvents();
        
        SendController controllerSend = new SendController(model, view);
        controllerSend.registerEvents();
        
        ReceiveAdapterController rxAdapter = new ReceiveAdapterController(view);
        model.addObserver(rxAdapter);
        
        view.setTitle("ICQ 0.1 xD");
        view.setVisible(true);
    }
    
    /**
     * @param args the command line arguments
     */
    public static void main(String[] args)
    {
        Start start = new Start();
    }
    
}
