package chatprogramm.controller;

import chatprogramm.model.Transmitter;
import chatprogramm.view.ChatView;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

/**
 *
 * @author Marian
 */
public class SendController implements ActionListener
{
    private Transmitter model;
    private ChatView view;
    
    public SendController(Transmitter model, ChatView view)
    {
        this.model = model;
        this.view = view;
    }
    
    public void registerEvents()
    {
        this.view.getBtSend().addActionListener(this);
        this.view.getTfMessage().addActionListener(this);
    }

    @Override
    public void actionPerformed(ActionEvent ae)
    {
        model.sendMessage(view.getTfMessage().getText());
        view.getTfMessage().setText("");
    }
}
