/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package chatprogramm.logger;

import java.io.File;
import java.io.IOException;
import java.util.logging.ConsoleHandler;
import java.util.logging.FileHandler;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *
 * @author nobody
 */
public class OhmLogger
{
  private static Logger instance;
  
  private OhmLogger()
  {
    
  }
  
  public static Logger getLogger()
  {
    
    if (instance == null)
    {
      instance = Logger.getLogger("OhmLogger");
      initLogger();
    }
    return instance;
  }
  
  private static void initLogger()
  {
    instance.setUseParentHandlers(false);
    
    try
    {
      String datei = System.getProperty("java.io.tmpdir") + File.separator + "log.csv";
      FileHandler fh = new FileHandler(datei);
      ConsoleHandler ch = new ConsoleHandler();
      
      instance.addHandler(fh);
      ch.setFormatter(new OhmLoggerFormatter());
      instance.addHandler(ch);
      
      instance.setLevel(Level.ALL);
    }
    catch(IOException ioex)
    {
      System.err.println(ioex);
    }
  }

}
